Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.util
Class EventAdapterFactory

    java.lang.Object
      |
      +--org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
            |
            +--org.eclipse.hyades.logging.events.cbe.util.EventAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

public class EventAdapterFactory
extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage`

Field Summary
`protected static EventPackage` | `modelPackage` The cached model package.
`protected EventSwitch` | `modelSwitch` The switch the delegates to the `createXXX` methods.

Constructor Summary
`EventAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createAssociatedEventAdapter()` Creates a new adapter for an object of class '`Associated Event`'.
`org.eclipse.emf.common.notify.Adapter` | `createAssociationEngineAdapter()` Creates a new adapter for an object of class '`Association Engine`'.
`org.eclipse.emf.common.notify.Adapter` | `createAvailableSituationAdapter()` Creates a new adapter for an object of class '`Available Situation`'.
`org.eclipse.emf.common.notify.Adapter` | `createCommonBaseEventAdapter()` Creates a new adapter for an object of class '`Common Base Event`'.
`org.eclipse.emf.common.notify.Adapter` | `createComponentIdentificationAdapter()` Creates a new adapter for an object of class '`Component Identification`'.
`org.eclipse.emf.common.notify.Adapter` | `createConfigureSituationAdapter()` Creates a new adapter for an object of class '`Configure Situation`'.
`org.eclipse.emf.common.notify.Adapter` | `createConnectSituationAdapter()` Creates a new adapter for an object of class '`Connect Situation`'.
`org.eclipse.emf.common.notify.Adapter` | `createContextDataElementAdapter()` Creates a new adapter for an object of class '`Context Data Element`'.
`org.eclipse.emf.common.notify.Adapter` | `createCreateSituationAdapter()` Creates a new adapter for an object of class '`Create Situation`'.
`org.eclipse.emf.common.notify.Adapter` | `createDependencySituationAdapter()` Creates a new adapter for an object of class '`Dependency Situation`'.
`org.eclipse.emf.common.notify.Adapter` | `createDestroySituationAdapter()` Creates a new adapter for an object of class '`Destroy Situation`'.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createExtendedDataElementAdapter()` Creates a new adapter for an object of class '`Extended Data Element`'.
`org.eclipse.emf.common.notify.Adapter` | `createFeatureSituationAdapter()` Creates a new adapter for an object of class '`Feature Situation`'.
`org.eclipse.emf.common.notify.Adapter` | `createMsgCatalogTokenAdapter()` Creates a new adapter for an object of class '`Msg Catalog Token`'.
`org.eclipse.emf.common.notify.Adapter` | `createMsgDataElementAdapter()` Creates a new adapter for an object of class '`Msg Data Element`'.
`org.eclipse.emf.common.notify.Adapter` | `createOtherSituationAdapter()` Creates a new adapter for an object of class '`Other Situation`'.
`org.eclipse.emf.common.notify.Adapter` | `createReportSituationAdapter()` Creates a new adapter for an object of class '`Report Situation`'.
`org.eclipse.emf.common.notify.Adapter` | `createRequestSituationAdapter()` Creates a new adapter for an object of class '`Request Situation`'.
`org.eclipse.emf.common.notify.Adapter` | `createSerializableAdapter()` Creates a new adapter for an object of class '`Serializable`'.
`org.eclipse.emf.common.notify.Adapter` | `createSituationAdapter()` Creates a new adapter for an object of class '`Situation`'.
`org.eclipse.emf.common.notify.Adapter` | `createSituationTypeAdapter()` Creates a new adapter for an object of class '`Situation Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createStartSituationAdapter()` Creates a new adapter for an object of class '`Start Situation`'.
`org.eclipse.emf.common.notify.Adapter` | `createStopSituationAdapter()` Creates a new adapter for an object of class '`Stop Situation`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static EventPackage modelPackage

  The cached model package.

### modelSwitch

    protected EventSwitch modelSwitch

  The switch the delegates to the `createXXX` methods.

Constructor Detail

### EventAdapterFactory

    public EventAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAssociatedEventAdapter

    public org.eclipse.emf.common.notify.Adapter createAssociatedEventAdapter()

  Creates a new adapter for an object of class '`Associated Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssociatedEvent`

### createAssociationEngineAdapter

    public org.eclipse.emf.common.notify.Adapter createAssociationEngineAdapter()

  Creates a new adapter for an object of class '`Association Engine`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssociationEngine`

### createAvailableSituationAdapter

    public org.eclipse.emf.common.notify.Adapter createAvailableSituationAdapter()

  Creates a new adapter for an object of class '`Available Situation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AvailableSituation`

### createCommonBaseEventAdapter

    public org.eclipse.emf.common.notify.Adapter createCommonBaseEventAdapter()

  Creates a new adapter for an object of class '`Common Base Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CommonBaseEvent`

### createComponentIdentificationAdapter

    public org.eclipse.emf.common.notify.Adapter createComponentIdentificationAdapter()

  Creates a new adapter for an object of class '`Component Identification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ComponentIdentification`

### createConfigureSituationAdapter

    public org.eclipse.emf.common.notify.Adapter createConfigureSituationAdapter()

  Creates a new adapter for an object of class '`Configure Situation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConfigureSituation`

### createConnectSituationAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectSituationAdapter()

  Creates a new adapter for an object of class '`Connect Situation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConnectSituation`

### createContextDataElementAdapter

    public org.eclipse.emf.common.notify.Adapter createContextDataElementAdapter()

  Creates a new adapter for an object of class '`Context Data Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ContextDataElement`

### createCreateSituationAdapter

    public org.eclipse.emf.common.notify.Adapter createCreateSituationAdapter()

  Creates a new adapter for an object of class '`Create Situation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CreateSituation`

### createDependencySituationAdapter

    public org.eclipse.emf.common.notify.Adapter createDependencySituationAdapter()

  Creates a new adapter for an object of class '`Dependency Situation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DependencySituation`

### createDestroySituationAdapter

    public org.eclipse.emf.common.notify.Adapter createDestroySituationAdapter()

  Creates a new adapter for an object of class '`Destroy Situation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DestroySituation`

### createExtendedDataElementAdapter

    public org.eclipse.emf.common.notify.Adapter createExtendedDataElementAdapter()

  Creates a new adapter for an object of class '`Extended Data Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExtendedDataElement`

### createFeatureSituationAdapter

    public org.eclipse.emf.common.notify.Adapter createFeatureSituationAdapter()

  Creates a new adapter for an object of class '`Feature Situation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureSituation`

### createMsgCatalogTokenAdapter

    public org.eclipse.emf.common.notify.Adapter createMsgCatalogTokenAdapter()

  Creates a new adapter for an object of class '`Msg Catalog Token`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MsgCatalogToken`

### createMsgDataElementAdapter

    public org.eclipse.emf.common.notify.Adapter createMsgDataElementAdapter()

  Creates a new adapter for an object of class '`Msg Data Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MsgDataElement`

### createOtherSituationAdapter

    public org.eclipse.emf.common.notify.Adapter createOtherSituationAdapter()

  Creates a new adapter for an object of class '`Other Situation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OtherSituation`

### createReportSituationAdapter

    public org.eclipse.emf.common.notify.Adapter createReportSituationAdapter()

  Creates a new adapter for an object of class '`Report Situation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReportSituation`

### createRequestSituationAdapter

    public org.eclipse.emf.common.notify.Adapter createRequestSituationAdapter()

  Creates a new adapter for an object of class '`Request Situation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RequestSituation`

### createSituationAdapter

    public org.eclipse.emf.common.notify.Adapter createSituationAdapter()

  Creates a new adapter for an object of class '`Situation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Situation`

### createSituationTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSituationTypeAdapter()

  Creates a new adapter for an object of class '`Situation Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SituationType`

### createStartSituationAdapter

    public org.eclipse.emf.common.notify.Adapter createStartSituationAdapter()

  Creates a new adapter for an object of class '`Start Situation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StartSituation`

### createStopSituationAdapter

    public org.eclipse.emf.common.notify.Adapter createStopSituationAdapter()

  Creates a new adapter for an object of class '`Stop Situation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StopSituation`

### createSerializableAdapter

    public org.eclipse.emf.common.notify.Adapter createSerializableAdapter()

  Creates a new adapter for an object of class '`Serializable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Serializable`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD